Subject: Re: [Tsvwg] RFC 4041 Requirements

From: Janet P Gunn <[email-masked]>
Date: Fri, 1 Apr 2005 16:35:45 -0500

Can we discriminate based on age?  And if not, what happens to FIFO queues,
which CLEARLY discriminate on packet age?

----------------------------------------------------------------------------------------

This is a PRIVATE message. If you are not the intended recipient, please
delete without copying and kindly advise us by e-mail of the mistake in
delivery. NOTE: Regardless of content, this e-mail shall not operate to
bind CSC to any order or other contract unless pursuant to explicit written
agreement or government initiative expressly permitting the use of e-mail
for such purpose.
----------------------------------------------------------------------------------------

                      Joe Touch <touch                                                                                           
                      @ISI.EDU>                To:      "James M. Polk" <[email-masked]>                                       
                      Sent by:                 cc:      Baker Fred <[email-masked]>, [email-masked]                              
                      tsvwg-bounces            Subject: Re: [Tsvwg] RFC 4041 Requirements                                        

                      04/01/2005 03:54                                                                                           
                      PM                                                                                                         

James M. Polk wrote:
> At 08:43 AM 4/1/2005 -0800, Baker Fred wrote:
>
>> I note that RFC 4041 declares that discrimination among packets on the
>> basis of color is no longer to be tolerated in the network. Does this
>> mean that we need to withdraw proposals related to that?
>
> I think affects optical transport more than anything, as they will have
> to solve for putting all their bandwidth into a single lambda, thus
> preventing preferential treatments based on the color of the lasers.

Agreed. WDM could be seen as revisiting "separate but equal" ;-)

It might affect military nets, though, too - the whole red/black thing
becomes moot in achromatic networks ;-)

Joe

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Baker Fred <[email-masked]>
Date: Fri, 1 Apr 2005 13:57:05 -0800

On Apr 1, 2005, at 1:35 PM, Janet P Gunn wrote:
> Can we discriminate based on age?  And if not, what happens to FIFO 
> queues, which CLEARLY discriminate on packet age?

Age isn't mentioned in the RFC that I saw. So we can still do that - at 
least until the right to life crowd gets hold of the TTL field. They 
will be happy with RFC 2304, though. It preserves the randomness 
inherent in the system.

I just noticed, in investigating that, that there remains a really odd 
case of discrimination present even in the RFC decrying it. The first 
bullet of section 2.2 indicates that any RFC describing a way to carry 
images must give careful consideration to the implications of carrying 
blue images.

Having recently thought long and deep about inter-SDO protocols, I was 
also struck by the fifth bullet (it wasn't painful). It may not be 
important, given that participants are doomed to spend eternity on 
dial-up links, but one wonders what the implications are if the 
messages exchanged propose liaisons or are statements relevant to such 
liaisons.

> On Apr 1, 2005, at 12:54 PM, Joe Touch wrote:
>> James M. Polk wrote:
>>>> I note that RFC 4041 declares that discrimination among packets on 
>>>> the basis of color is no longer to be tolerated in the network. 
>>>> Does this mean that we need to withdraw proposals related to that?
>>>
>>> I think affects optical transport more than anything, as they will 
>>> have to solve for putting all their bandwidth into a single lambda, 
>>> thus preventing preferential treatments based on the color of the 
>>> lasers.
>>
>> It might affect military nets, though, too - the whole red/black 
>> thing becomes moot in achromatic networks ;-)